%define name libsbml
%define version 2.1.0
%define release 2mdk

Summary:	Systems Biology Markup Language (SBML) library
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
License:	LGPL
Patch0:         libsbml-2.1.0-makefile.patch.bz2
Group:		System/Libraries
Url:		http://sbml.org/libsbml.html
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	swig python
BuildRequires:  libxerces-c25-devel python-devel
%description
The Systems Biology Markup Language (SBML) is a computer-readable format for 
representing models of biochemical reaction networks. SBML is applicable 
to metabolic networks, cell-signaling pathways, genomic regulatory networks,
and many other areas in systems biology.

LIBSBML is a C application programming interface (API) library for reading, 
writing and manipulating the SBML. Currently, the library supports all of 
SBML Level 1 Version 1 and Version 2, and nearly all of SBML Level 2 Version 1.
(The still-unimplemented parts of Level 2 are support for RDF and support
for MathML's semantics, annotation and annotation-xml elements. 
These will be implemented in the near future.)


%package -n %{name}-devel
Summary:        Header files for development with the Systems Biology Markup Language (SBML)
Group:          Development/C
Requires:       %{name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{name}-devel
This package provides the necessary development libraries and includes
files to allow you to develop with the Systems Biology Markup Language (SBML)


%package -n %{name}-static-devel
Summary:        Static libraries for the Systems Biology Markup Language (SBML) library
Group:          Development/C
Requires:       %{name}-devel = %{version}-%{release}
Provides:	%{name}-static-devel = %{version}-%{release}

%description -n %{name}-static-devel
This package includes the static libraries necessary for developing programs 
which will use the Systems Biology Markup Language (SBML)


%prep

%setup -q
%patch0 -p0
%build

#do not use percent/configure and percent/make they mess up the compilation
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
export CPPFLAGS="$RPM_OPT_FLAGS"
export FFLAGS="$RPM_OPT_FLAGS"
./configure i586-mandrake-linux-gnu --prefix=%_prefix --with-xerces --with-swig --with-python #--libdir=%_libdir
make

%install
rm -rf %{buildroot}
%makeinstall

#installs libsbml python module
mkdir -p %{buildroot}%{_libdir}/python%{pyver}/site-packages/
install -m 644 $RPM_BUILD_DIR/%{name}-%{version}/bindings/python/libsbml.py  %{buildroot}/%{_libdir}/python%{pyver}/site-packages/libsbml.py
install -m 755 $RPM_BUILD_DIR/%{name}-%{version}/bindings/python/_libsbml.so  %{buildroot}/%{_libdir}/python%{pyver}/site-packages/_libsbml.so

mkdir docs_rpm
mv -f %{buildroot}/%{_docdir}/libsbml-%{version}/ docs_rpm/

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -n %{name}
%defattr(-,root,root)
%doc docs_rpm/libsbml-%{version}/*
%{_libdir}/*.so
%{_libdir}/python%{pyver}/site-packages/*
#%{_docdir}/libsbml-%{version}/

%files -n %{name}-devel
%defattr(-,root,root)
%doc COPYING.txt
%{_includedir}/sbml/

%files -n %{name}-static-devel
%defattr(-,root,root)
%doc COPYING.txt
%{_libdir}/*.a

%changelog
* Fri Oct 01 2004 Michael Scherer <misc@mandrake.org> 2.1.0-2mdk 
- BuildRequires

* Sun Sep 19 2004 Michael Scherer <misc@mandrake.org> 2.1.0-1mdk 
- some fix
- from Eric Fernandez <zeb@zebulon.org.uk> 
  - First mdk release
